Swap

Get the optimal and alternative routes with full transaction details.

get
/v1/swap

Get the optimal and alternative routes with full transaction details.

Authorizations
x-api-keystringRequired
Query parameters
srcChainstringRequired

Source chain ID (e.g., bitcoin, solana, 1, 56 )

srcTokenstringRequired

Source token contract address. Use an empty string for native assets.

destChainstringRequired

Destination chain ID (e.g., bitcoin, solana, 1, 56 )

destTokenstringRequired

Destination token contract address. Use an empty string for native assets.

amountstringRequired

Amount of the source token to swap (in base units)

srcAddressstringRequired

Sender wallet address (used for generating transaction data)

destAddressstringRequired

Recipient wallet address (default: same as sender)

slippageBpsnumber · min: 1 · max: 10000Optional

Maximum slippage in basis points (1% = 100 bps). Default behavior is provider-defined.

referrerstringOptional

Referrer wallet address to receive a portion of the trade fee. Requires referralFeeBps to be set.

referralFeeBpsnumber · min: 1 · max: 1000Optional

Referral fee in basis points (max 1000 = 10%). Requires referrer to be specified.

providerstringOptional

Comma-separated list of provider IDs to include in routing (e.g., "thorchain,1inch,0x").

excludeProviderstringOptional

Comma-separated list of provider IDs to exclude from routing (e.g., "thorchain,1inch,0x").

Responses
chevron-right
200

Default Response

application/json
srcChainstringRequired

Source chain ID

srcTokenstringRequired

Source token address (or empty for native assets)

destChainstringRequired

Destination chain ID

destTokenstringRequired

Destination token address (or empty for native assets)

slippageBpsnumberRequired

Allowed slippage in basis points

srcAmountstringRequired

Amount of source token to swap (in base units)

srcAddressstringRequired

Sender wallet address

destAddressstringRequired

Recipient wallet address

referrerstringOptional

Referrer address to receive trading fees

referralFeeBpsnumberOptional

Referral fee percentage in bps

providerstring[]Optional

List of providers to include

excludeProviderstring[]Optional

List of providers to exclude

get
/v1/swap
200

Default Response

Last updated